| LightHub v4.0.0 Smarthome controller firmware

Classes | Macros | Typedefs | Variables
systemconfigdata.h File Reference

Go to the source code of this file.

## Classes
union | systemConfigFlags
struct | systemConfigData

## Macros
#define | SYSCONF_OFFSET 0
#define | EEPROM_offset_NotAlligned SYSCONF_OFFSET+sizeof(systemConfigData)
#define | SYSCONF_SIZE EEPROM_offsetJSON
#define | EEPROM_offsetJSON EEPROM_offset_NotAlligned + (4 -(EEPROM_offset_NotAlligned & 3))
#define | MAXFLASHSTR 32
#define | PWDFLASHSTR 16
#define | EEPROM_SIGNATURE "LHC1"
#define | EEPROM_SIGNATURE_LENGTH 4
#define | EEPROM_FIX_PART_LEN EEPROM_offsetJSON-SYSCONF_OFFSET

## Typedefs
typedef char | flashstr[MAXFLASHSTR]
typedef char | flashpwd[PWDFLASHSTR]
typedef uint8_t | macAddress[6]

## Variables
const char | EEPROM_signature [] = EEPROM_SIGNATURE

## Macro Definition Documentation

## ◆ EEPROM_FIX_PART_LEN

#define EEPROM_FIX_PART_LEN EEPROM_offsetJSON-SYSCONF_OFFSET

## ◆ EEPROM_offset_NotAlligned

#define EEPROM_offset_NotAlligned SYSCONF_OFFSET+sizeof(systemConfigData)

## ◆ EEPROM_offsetJSON

#define EEPROM_offsetJSON EEPROM_offset_NotAlligned + (4 -(EEPROM_offset_NotAlligned & 3))

## ◆ EEPROM_SIGNATURE

#define EEPROM_SIGNATURE "LHC1"

## ◆ EEPROM_SIGNATURE_LENGTH

#define EEPROM_SIGNATURE_LENGTH 4

## ◆ MAXFLASHSTR

#define MAXFLASHSTR 32

## ◆ PWDFLASHSTR

#define PWDFLASHSTR 16

## ◆ SYSCONF_OFFSET

#define SYSCONF_OFFSET 0

## ◆ SYSCONF_SIZE

#define SYSCONF_SIZE EEPROM_offsetJSON

## Typedef Documentation

## ◆ flashpwd

typedef char flashpwd[PWDFLASHSTR]

## ◆ flashstr

typedef char flashstr[MAXFLASHSTR]

## ◆ macAddress

typedef uint8_t macAddress[6]

## Variable Documentation

## ◆ EEPROM_signature

const char EEPROM_signature[] = EEPROM_SIGNATURE